Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/HeuristicLab.GP.StructureIdentification.csproj
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/HeuristicLab.GP.StructureIdentification.csproj	(revision 1200)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/HeuristicLab.GP.StructureIdentification.csproj	(revision 1201)
@@ -72,4 +72,11 @@
     <Compile Include="Constant.cs" />
     <Compile Include="FunctionLibraryInjector.cs" />
+    <Compile Include="OffspringSelectionGP.cs" />
+    <Compile Include="OffSpringSelectionGpEditor.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OffSpringSelectionGpEditor.Designer.cs">
+      <DependentUpon>OffSpringSelectionGpEditor.cs</DependentUpon>
+    </Compile>
     <Compile Include="StandardGpEditor.cs">
       <SubType>UserControl</SubType>
@@ -161,4 +168,8 @@
       <Name>HeuristicLab.Random</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Selection.OffspringSelection\HeuristicLab.Selection.OffspringSelection.csproj">
+      <Project>{205898D3-2717-4686-AF17-52409B7EC0C6}</Project>
+      <Name>HeuristicLab.Selection.OffspringSelection</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Selection\HeuristicLab.Selection.csproj">
       <Project>{F7CF0571-25CB-43D5-8443-0843A1E2861A}</Project>
@@ -171,4 +182,7 @@
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="OffSpringSelectionGpEditor.resx">
+      <DependentUpon>OffSpringSelectionGpEditor.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="StandardGpEditor.resx">
       <DependentUpon>StandardGpEditor.cs</DependentUpon>
Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffSpringSelectionGpEditor.Designer.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffSpringSelectionGpEditor.Designer.cs	(revision 1200)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffSpringSelectionGpEditor.Designer.cs	(revision 1201)
@@ -70,4 +70,6 @@
       this.resetButton = new System.Windows.Forms.Button();
       this.cloneEngineButton = new System.Windows.Forms.Button();
+      this.selectionPressureTextBox = new System.Windows.Forms.TextBox();
+      this.selectionPressureLabel = new System.Windows.Forms.Label();
       this.tabControl.SuspendLayout();
       this.parametersTabPage.SuspendLayout();
@@ -101,4 +103,6 @@
       // parametersTabPage
       // 
+      this.parametersTabPage.Controls.Add(this.selectionPressureTextBox);
+      this.parametersTabPage.Controls.Add(this.selectionPressureLabel);
       this.parametersTabPage.Controls.Add(this.viewProblemInitializationButton);
       this.parametersTabPage.Controls.Add(this.setProblemInitializationButton);
@@ -128,5 +132,5 @@
       // 
       this.viewProblemInitializationButton.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.viewProblemInitializationButton.Location = new System.Drawing.Point(410, 208);
+      this.viewProblemInitializationButton.Location = new System.Drawing.Point(410, 241);
       this.viewProblemInitializationButton.Name = "viewProblemInitializationButton";
       this.viewProblemInitializationButton.Size = new System.Drawing.Size(53, 20);
@@ -139,5 +143,5 @@
       // 
       this.setProblemInitializationButton.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.setProblemInitializationButton.Location = new System.Drawing.Point(469, 208);
+      this.setProblemInitializationButton.Location = new System.Drawing.Point(469, 241);
       this.setProblemInitializationButton.Name = "setProblemInitializationButton";
       this.setProblemInitializationButton.Size = new System.Drawing.Size(43, 20);
@@ -150,5 +154,5 @@
       // 
       this.problemInitializationTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.problemInitializationTextBox.Location = new System.Drawing.Point(218, 208);
+      this.problemInitializationTextBox.Location = new System.Drawing.Point(218, 241);
       this.problemInitializationTextBox.Name = "problemInitializationTextBox";
       this.problemInitializationTextBox.ReadOnly = true;
@@ -169,5 +173,5 @@
       // 
       this.elitesTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.elitesTextBox.Location = new System.Drawing.Point(218, 156);
+      this.elitesTextBox.Location = new System.Drawing.Point(218, 182);
       this.elitesTextBox.Name = "elitesTextBox";
       this.elitesTextBox.Size = new System.Drawing.Size(186, 20);
@@ -178,5 +182,5 @@
       this.problemInitializationLabel.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.problemInitializationLabel.AutoSize = true;
-      this.problemInitializationLabel.Location = new System.Drawing.Point(65, 211);
+      this.problemInitializationLabel.Location = new System.Drawing.Point(65, 244);
       this.problemInitializationLabel.Name = "problemInitializationLabel";
       this.problemInitializationLabel.Size = new System.Drawing.Size(105, 13);
@@ -188,5 +192,5 @@
       this.elitesLabel.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.elitesLabel.AutoSize = true;
-      this.elitesLabel.Location = new System.Drawing.Point(65, 159);
+      this.elitesLabel.Location = new System.Drawing.Point(66, 185);
       this.elitesLabel.Name = "elitesLabel";
       this.elitesLabel.Size = new System.Drawing.Size(35, 13);
@@ -197,5 +201,5 @@
       // 
       this.mutationRateTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.mutationRateTextBox.Location = new System.Drawing.Point(218, 130);
+      this.mutationRateTextBox.Location = new System.Drawing.Point(218, 156);
       this.mutationRateTextBox.Name = "mutationRateTextBox";
       this.mutationRateTextBox.Size = new System.Drawing.Size(186, 20);
@@ -206,5 +210,5 @@
       this.mutationRateLabel.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.mutationRateLabel.AutoSize = true;
-      this.mutationRateLabel.Location = new System.Drawing.Point(65, 133);
+      this.mutationRateLabel.Location = new System.Drawing.Point(66, 159);
       this.mutationRateLabel.Name = "mutationRateLabel";
       this.mutationRateLabel.Size = new System.Drawing.Size(77, 13);
@@ -331,5 +335,23 @@
       this.cloneEngineButton.Click += new System.EventHandler(this.cloneEngineButton_Click);
       // 
-      // StandardGpEditor
+      // selectionPressureTextBox
+      // 
+      this.selectionPressureTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.selectionPressureTextBox.Location = new System.Drawing.Point(218, 130);
+      this.selectionPressureTextBox.Name = "selectionPressureTextBox";
+      this.selectionPressureTextBox.Size = new System.Drawing.Size(186, 20);
+      this.selectionPressureTextBox.TabIndex = 17;
+      // 
+      // selectionPressureLabel
+      // 
+      this.selectionPressureLabel.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.selectionPressureLabel.AutoSize = true;
+      this.selectionPressureLabel.Location = new System.Drawing.Point(65, 133);
+      this.selectionPressureLabel.Name = "selectionPressureLabel";
+      this.selectionPressureLabel.Size = new System.Drawing.Size(145, 13);
+      this.selectionPressureLabel.TabIndex = 16;
+      this.selectionPressureLabel.Text = "Maximum &Selection Pressure:";
+      // 
+      // OffspringSelectionGpEditor
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -340,5 +362,5 @@
       this.Controls.Add(this.abortButton);
       this.Controls.Add(this.executeButton);
-      this.Name = "StandardGpEditor";
+      this.Name = "OffspringSelectionGpEditor";
       this.Size = new System.Drawing.Size(526, 419);
       this.tabControl.ResumeLayout(false);
@@ -376,4 +398,6 @@
     private HeuristicLab.Core.ScopeView scopeView;
     private System.Windows.Forms.Button viewProblemInitializationButton;
+    private System.Windows.Forms.TextBox selectionPressureTextBox;
+    private System.Windows.Forms.Label selectionPressureLabel;
   }
 }
Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffSpringSelectionGpEditor.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffSpringSelectionGpEditor.cs	(revision 1200)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffSpringSelectionGpEditor.cs	(revision 1201)
@@ -34,6 +34,6 @@
     private ChooseOperatorDialog chooseOperatorDialog;
 
-    public OffspringSelectionGpEditor OffspringSelectionGpEditor {
-      get { return (OffspringSelectionGpEditor)Item; }
+    public OffspringSelectionGP OffspringSelectionGP {
+      get { return (OffspringSelectionGP)Item; }
       set { base.Item = value; }
     }
@@ -42,12 +42,12 @@
       InitializeComponent();
     }
-    public OffspringSelectionGpEditor(OffspringSelectionGpEditor osgp)
+    public OffspringSelectionGpEditor(OffspringSelectionGP osgp)
       : this() {
-      OffspringSelectionGpEditor = osgp;
+      OffspringSelectionGP = osgp;
     }
 
     protected override void RemoveItemEvents() {
-      OffspringSelectionGpEditor.Engine.ExceptionOccurred -= new EventHandler<ExceptionEventArgs>(Engine_ExceptionOccurred);
-      OffspringSelectionGpEditor.Engine.Finished -= new EventHandler(Engine_Finished);
+      OffspringSelectionGP.Engine.ExceptionOccurred -= new EventHandler<ExceptionEventArgs>(Engine_ExceptionOccurred);
+      OffspringSelectionGP.Engine.Finished -= new EventHandler(Engine_Finished);
       scopeView.Scope = null;
       base.RemoveItemEvents();
@@ -55,32 +55,33 @@
     protected override void AddItemEvents() {
       base.AddItemEvents();
-      OffspringSelectionGpEditor.Engine.ExceptionOccurred += new EventHandler<ExceptionEventArgs>(Engine_ExceptionOccurred);
-      OffspringSelectionGpEditor.Engine.Finished += new EventHandler(Engine_Finished);
+      OffspringSelectionGP.Engine.ExceptionOccurred += new EventHandler<ExceptionEventArgs>(Engine_ExceptionOccurred);
+      OffspringSelectionGP.Engine.Finished += new EventHandler(Engine_Finished);
       SetDataBinding();
-      scopeView.Scope = OffspringSelectionGpEditor.Engine.GlobalScope;
+      scopeView.Scope = OffspringSelectionGP.Engine.GlobalScope;
     }
 
     protected override void UpdateControls() {
       base.UpdateControls();
-      if (OffspringSelectionGpEditor == null) {
+      if (OffspringSelectionGP == null) {
         tabControl.Enabled = false;
       } else {
         tabControl.Enabled = true;
-        problemInitializationTextBox.Text = OffspringSelectionGpEditor.ProblemInjector.GetType().Name;
+        problemInitializationTextBox.Text = OffspringSelectionGP.ProblemInjector.GetType().Name;
       }
     }
 
     private void SetDataBinding() {
-      setRandomSeedRandomlyCheckBox.DataBindings.Add("Checked", OffspringSelectionGpEditor, "SetSeedRandomly");
-      randomSeedTextBox.DataBindings.Add("Text", OffspringSelectionGpEditor, "Seed");
-      populationSizeTextBox.DataBindings.Add("Text", OffspringSelectionGpEditor, "PopulationSize");
-      maximumGenerationsTextBox.DataBindings.Add("Text", OffspringSelectionGpEditor, "MaxGenerations");
-      mutationRateTextBox.DataBindings.Add("Text", OffspringSelectionGpEditor, "MutationRate");
-      elitesTextBox.DataBindings.Add("Text", OffspringSelectionGpEditor, "Elites");
+      setRandomSeedRandomlyCheckBox.DataBindings.Add("Checked", OffspringSelectionGP, "SetSeedRandomly");
+      randomSeedTextBox.DataBindings.Add("Text", OffspringSelectionGP, "Seed");
+      populationSizeTextBox.DataBindings.Add("Text", OffspringSelectionGP, "PopulationSize");
+      maximumGenerationsTextBox.DataBindings.Add("Text", OffspringSelectionGP, "MaxGenerations");
+      selectionPressureTextBox.DataBindings.Add("Text", OffspringSelectionGP, "SelectionPressureLimit");
+      mutationRateTextBox.DataBindings.Add("Text", OffspringSelectionGP, "MutationRate");
+      elitesTextBox.DataBindings.Add("Text", OffspringSelectionGP, "Elites");
     }
 
     #region Button Events
     private void viewProblemInjectorButton_Click(object sender, EventArgs e) {
-      IView view = OffspringSelectionGpEditor.ProblemInjector.CreateView();
+      IView view = OffspringSelectionGP.ProblemInjector.CreateView();
       if(view != null)
         PluginManager.ControlManager.ShowControl(view);
@@ -90,6 +91,6 @@
       if (chooseOperatorDialog == null) chooseOperatorDialog = new ChooseOperatorDialog();
       if (chooseOperatorDialog.ShowDialog(this) == DialogResult.OK) {
-        OffspringSelectionGpEditor.ProblemInjector = chooseOperatorDialog.Operator;
-        problemInitializationTextBox.Text = OffspringSelectionGpEditor.ProblemInjector.GetType().Name;
+        OffspringSelectionGP.ProblemInjector = chooseOperatorDialog.Operator;
+        problemInitializationTextBox.Text = OffspringSelectionGP.ProblemInjector.GetType().Name;
       }
     }
@@ -97,14 +98,14 @@
       executeButton.Enabled = false;
       abortButton.Enabled = true;
-      OffspringSelectionGpEditor.Engine.Execute();
+      OffspringSelectionGP.Engine.Execute();
     }
     private void abortButton_Click(object sender, EventArgs e) {
-      StandardGP.Engine.Abort();
+      OffspringSelectionGP.Engine.Abort();
     }
     private void resetButton_Click(object sender, EventArgs e) {
-      StandardGP.Engine.Reset();
+      OffspringSelectionGP.Engine.Reset();
     }
     private void cloneEngineButton_Click(object sender, EventArgs e) {
-      IEngine clone = (IEngine)StandardGP.Engine.Clone();
+      IEngine clone = (IEngine)OffspringSelectionGP.Engine.Clone();
       IEditor editor = ((IEditable)clone).CreateEditor();
       PluginManager.ControlManager.ShowControl(editor);
@@ -130,6 +131,4 @@
     }
     #endregion
-
-
   }
 }
Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffspringSelectionGP.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffspringSelectionGP.cs	(revision 1200)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/OffspringSelectionGP.cs	(revision 1201)
@@ -34,4 +34,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Operators.Programmable;
+using HeuristicLab.Selection.OffspringSelection;
 
 namespace HeuristicLab.GP.StructureIdentification {
@@ -86,5 +87,5 @@
     }
 
-    private IntData maxTreeSize;
+    private IntData maxTreeSize = new IntData();
     public int MaxTreeSize {
       get { return maxTreeSize.Data; }
@@ -92,5 +93,5 @@
     }
 
-    private IntData maxTreeHeight;
+    private IntData maxTreeHeight = new IntData();
     public int MaxTreeHeight {
       get { return maxTreeHeight.Data; }
@@ -98,8 +99,20 @@
     }
 
-    private DoubleData maxSelectionPressure;
-    public double MaxSelectionPressure {
-      get { return maxSelectionPressure.Data; }
-      set { maxSelectionPressure.Data = value; }
+    private DoubleData selectionPressureLimit = new DoubleData();
+    public double SelectionPressureLimit {
+      get { return selectionPressureLimit.Data; }
+      set { selectionPressureLimit.Data = value; }
+    }
+
+    private DoubleData comparisonFactor = new DoubleData();
+    public double ComparisonFactor {
+      get { return comparisonFactor.Data; }
+      set { comparisonFactor.Data = value; }
+    }
+
+    private DoubleData successRatioLimit = new DoubleData();
+    public double SuccessRatioLimit {
+      get { return successRatioLimit.Data; }
+      set { successRatioLimit.Data = value; }
     }
 
@@ -120,5 +133,6 @@
       MutationRate = 0.15;
       Elites = 1;
-      MaxSelectionPressure = 300;
+      SelectionPressureLimit = 300;
+      ComparisonFactor = 1.0;
       MaxTreeHeight = 10;
       MaxTreeSize = 100;
@@ -131,5 +145,5 @@
     private CombinedOperator CreateAlgorithm() {
       CombinedOperator algo = new CombinedOperator();
-      algo.Name = "StandardGP";
+      algo.Name = "OffspringSelectionGP";
       SequentialProcessor seq = new SequentialProcessor();
       EmptyOperator problemInjectorPlaceholder = new EmptyOperator();
@@ -139,5 +153,5 @@
       randomInjector.Name = "Random Injector";
       VariableInjector globalInjector = CreateGlobalInjector();
-      CombinedOperator initialization = CreateInialization();
+      CombinedOperator initialization = CreateInitialization();
       initialization.Name = "Initialization";
       FunctionLibraryInjector funLibInjector = new FunctionLibraryInjector();
@@ -160,10 +174,6 @@
       CombinedOperator manipulator = CreateManipulator();
       manipulator.Name = "Manipulator";
-      TournamentSelector selector = new TournamentSelector();
+      CombinedOperator selector = CreateSelector();
       selector.Name = "Selector";
-      selector.GetVariableInfo("Selected").ActualName = "Parents";
-      selector.GetVariableInfo("GroupSize").Local = false;
-      selector.RemoveVariable("GroupSize");
-      selector.GetVariableInfo("GroupSize").ActualName = "TournamentSize";
       LeftReducer cleanUp = new LeftReducer();
 
@@ -192,16 +202,19 @@
       VariableInjector injector = new VariableInjector();
       injector.Name = "Global Injector";
+      injector.AddVariable(new HeuristicLab.Core.Variable("ComparisonFactor", comparisonFactor));
+      injector.AddVariable(new HeuristicLab.Core.Variable("Elites", elites));
+      injector.AddVariable(new HeuristicLab.Core.Variable("EvaluatedSolutions", new IntData(0)));
       injector.AddVariable(new HeuristicLab.Core.Variable("Generations", new IntData(0)));
+      injector.AddVariable(new HeuristicLab.Core.Variable("Maximization", new BoolData(false)));
       injector.AddVariable(new HeuristicLab.Core.Variable("MaxGenerations", maxGenerations));
-      injector.AddVariable(new HeuristicLab.Core.Variable("MutationRate", mutationRate));
-      injector.AddVariable(new HeuristicLab.Core.Variable("PopulationSize", populationSize));
-      injector.AddVariable(new HeuristicLab.Core.Variable("Parents", parents));
-      injector.AddVariable(new HeuristicLab.Core.Variable("Elites", elites));
-      injector.AddVariable(new HeuristicLab.Core.Variable("Maximization", new BoolData(false)));
       injector.AddVariable(new HeuristicLab.Core.Variable("MaxTreeHeight", maxTreeHeight));
       injector.AddVariable(new HeuristicLab.Core.Variable("MaxTreeSize", maxTreeSize));
-      injector.AddVariable(new HeuristicLab.Core.Variable("EvaluatedSolutions", new IntData(0)));
+      injector.AddVariable(new HeuristicLab.Core.Variable("MutationRate", mutationRate));
+      injector.AddVariable(new HeuristicLab.Core.Variable("Parents", parents));
+      injector.AddVariable(new HeuristicLab.Core.Variable("PopulationSize", populationSize));
+      injector.AddVariable(new HeuristicLab.Core.Variable("PunishmentFactor", new DoubleData(punishmentFactor)));
+      injector.AddVariable(new HeuristicLab.Core.Variable("SelectionPressureLimit", selectionPressureLimit));
+      injector.AddVariable(new HeuristicLab.Core.Variable("SuccessRatioLimit", successRatioLimit));
       injector.AddVariable(new HeuristicLab.Core.Variable("TotalEvaluatedNodes", new DoubleData(0)));
-      injector.AddVariable(new HeuristicLab.Core.Variable("PunishmentFactor", new DoubleData(punishmentFactor)));
       injector.AddVariable(new HeuristicLab.Core.Variable("UseEstimatedTargetValue", new BoolData(useEstimatedTargetValue)));
       return injector;
@@ -249,5 +262,5 @@
     }
 
-    private CombinedOperator CreateInialization() {
+    private CombinedOperator CreateInitialization() {
       CombinedOperator init = new CombinedOperator();
       SequentialProcessor seq = new SequentialProcessor();
@@ -268,7 +281,10 @@
       Counter evalCounter = new Counter();
       evalCounter.GetVariableInfo("Value").ActualName = "EvaluatedSolutions";
-
+      Sorter sorter = new Sorter();
+      sorter.GetVariableInfo("Descending").ActualName = "Maximization";
+      sorter.GetVariableInfo("Value").ActualName = "Quality";
       seq.AddSubOperator(subScopesCreater);
       seq.AddSubOperator(subScopesProc);
+      seq.AddSubOperator(sorter);
       subScopesProc.AddSubOperator(individualSeq);
       individualSeq.AddSubOperator(treeCreater);
@@ -282,7 +298,45 @@
     }
 
+    private CombinedOperator CreateSelector() {
+      CombinedOperator selector = new CombinedOperator();
+      SequentialProcessor seq = new SequentialProcessor();
+      seq.Name = "Selector";
+      EmptyOperator emptyOp = new EmptyOperator();
+      ProportionalSelector femaleSelector = new ProportionalSelector();
+      femaleSelector.GetVariableInfo("Selected").ActualName = "Parents";
+      femaleSelector.GetVariableValue<BoolData>("CopySelected", null, false).Data = true;
+
+      RandomSelector maleSelector = new RandomSelector();
+      maleSelector.GetVariableInfo("Selected").ActualName = "Parents";
+      maleSelector.GetVariableValue<BoolData>("CopySelected", null, false).Data = true;
+      SequentialSubScopesProcessor seqSubScopesProc = new SequentialSubScopesProcessor();
+      RightChildReducer rightChildReducer = new RightChildReducer();
+      SubScopesMixer mixer = new SubScopesMixer();
+
+      seqSubScopesProc.AddSubOperator(femaleSelector);
+      seqSubScopesProc.AddSubOperator(emptyOp);
+
+      seq.AddSubOperator(maleSelector);
+      seq.AddSubOperator(seqSubScopesProc);
+      seq.AddSubOperator(rightChildReducer);
+      seq.AddSubOperator(mixer);
+
+      selector.OperatorGraph.AddOperator(seq);
+      selector.OperatorGraph.InitialOperator = seq;
+      return selector;
+    }
+
     private CombinedOperator CreateMainLoop() {
       CombinedOperator main = new CombinedOperator();
       SequentialProcessor seq = new SequentialProcessor();
+      SequentialProcessor offspringSelectionSeq = new SequentialProcessor();
+      SequentialSubScopesProcessor subScopesProc = new SequentialSubScopesProcessor();
+      EmptyOperator emptyOp = new EmptyOperator();
+      OffspringSelector offspringSelector = new OffspringSelector();
+
+      OperatorExtractor selector = new OperatorExtractor();
+      selector.Name = "Selector (extr.)";
+      selector.GetVariableInfo("Operator").ActualName = "Selector";
+
       CombinedOperator childCreater = CreateChildCreater();
       childCreater.Name = "Create children";
@@ -314,12 +368,27 @@
       Counter counter = new Counter();
       counter.GetVariableInfo("Value").ActualName = "Generations";
-      LessThanComparator comparator = new LessThanComparator();
-      comparator.GetVariableInfo("LeftSide").ActualName = "Generations";
-      comparator.GetVariableInfo("RightSide").ActualName = "MaxGenerations";
-      comparator.GetVariableInfo("Result").ActualName = "GenerationsCondition";
-      ConditionalBranch cond = new ConditionalBranch();
-      cond.GetVariableInfo("Condition").ActualName = "GenerationsCondition";
-
-      seq.AddSubOperator(childCreater);
+      LessThanComparator selPresComparator = new LessThanComparator();
+      selPresComparator.GetVariableInfo("LeftSide").ActualName = "SelectionPressure";
+      selPresComparator.GetVariableInfo("RightSide").ActualName = "SelectionPressureLimit";
+      selPresComparator.GetVariableInfo("Result").ActualName = "SelectionPressureCondition";
+      LessThanComparator generationsComparator = new LessThanComparator();
+      generationsComparator.GetVariableInfo("LeftSide").ActualName = "Generations";
+      generationsComparator.GetVariableInfo("RightSide").ActualName = "MaxGenerations";
+      generationsComparator.GetVariableInfo("Result").ActualName = "GenerationsCondition";
+      ConditionalBranch selPresCondition = new ConditionalBranch();
+      selPresCondition.GetVariableInfo("Condition").ActualName = "SelectionPressureCondition";
+      ConditionalBranch generationsCondition = new ConditionalBranch();
+      generationsCondition.GetVariableInfo("Condition").ActualName = "GenerationsCondition";
+
+      subScopesProc.AddSubOperator(emptyOp);
+      subScopesProc.AddSubOperator(childCreater);
+
+      offspringSelector.AddSubOperator(offspringSelectionSeq);
+
+      offspringSelectionSeq.AddSubOperator(selector);
+      offspringSelectionSeq.AddSubOperator(subScopesProc);
+      offspringSelectionSeq.AddSubOperator(offspringSelector);
+
+      seq.AddSubOperator(offspringSelectionSeq);
       seq.AddSubOperator(replacement);
       seq.AddSubOperator(solutionStorer);
@@ -331,7 +400,9 @@
       seq.AddSubOperator(validationQualityLogger);
       seq.AddSubOperator(counter);
-      seq.AddSubOperator(comparator);
-      seq.AddSubOperator(cond);
-      cond.AddSubOperator(seq);
+      seq.AddSubOperator(selPresComparator);
+      seq.AddSubOperator(generationsComparator);
+      seq.AddSubOperator(selPresCondition);
+      selPresCondition.AddSubOperator(generationsCondition);
+      generationsCondition.AddSubOperator(seq);
 
       main.OperatorGraph.AddOperator(seq);
@@ -346,5 +417,5 @@
       SequentialProcessor bestSolutionProcessor = new SequentialProcessor();
       MeanAbsolutePercentageErrorEvaluator trainingMapeEvaluator = new MeanAbsolutePercentageErrorEvaluator();
-      trainingMapeEvaluator.Name = "ValidationMapeEvaluator";
+      trainingMapeEvaluator.Name = "TrainingMapeEvaluator";
       trainingMapeEvaluator.GetVariableInfo("MAPE").ActualName = "TrainingMAPE";
       trainingMapeEvaluator.GetVariableInfo("SamplesStart").ActualName = "TrainingSamplesStart";
@@ -358,7 +429,10 @@
       progOperator.RemoveVariableInfo("Result");
       progOperator.AddVariableInfo(new HeuristicLab.Core.VariableInfo("EvaluatedSolutions", "", typeof(IntData), VariableKind.In));
+      progOperator.AddVariableInfo(new HeuristicLab.Core.VariableInfo("SelectionPressure", "", typeof(DoubleData), VariableKind.In));
       progOperator.Code = @"
 int evalSolutions = EvaluatedSolutions.Data;
+double selectionPressure = SelectionPressure.Data;
 scope.AddVariable(new Variable(""EvaluatedSolutions"", new IntData(evalSolutions)));
+scope.AddVariable(new Variable(""SelectionPressure"", new DoubleData(selectionPressure)));
 ";
       solutionStorer.AddSubOperator(bestSolutionProcessor);
@@ -405,9 +479,5 @@
       CombinedOperator childCreater = new CombinedOperator();
       SequentialProcessor seq = new SequentialProcessor();
-      OperatorExtractor selector = new OperatorExtractor();
-      selector.Name = "Selector (extr.)";
-      selector.GetVariableInfo("Operator").ActualName = "Selector";
-      SequentialSubScopesProcessor seqScopesProc = new SequentialSubScopesProcessor();
-      EmptyOperator emptyOpt = new EmptyOperator();
+      OffspringAnalyzer analyzer = new OffspringAnalyzer();
       SequentialProcessor selectedProc = new SequentialProcessor();
       OperatorExtractor crossover = new OperatorExtractor();
@@ -434,10 +504,6 @@
       sorter.GetVariableInfo("Descending").ActualName = "Maximization";
       sorter.GetVariableInfo("Value").ActualName = "Quality";
-
-
-      seq.AddSubOperator(selector);
-      seq.AddSubOperator(seqScopesProc);
-      seqScopesProc.AddSubOperator(emptyOpt);
-      seqScopesProc.AddSubOperator(selectedProc);
+      seq.AddSubOperator(analyzer);
+      analyzer.AddSubOperator(selectedProc);
       selectedProc.AddSubOperator(crossover);
       selectedProc.AddSubOperator(individualProc);
@@ -448,5 +514,5 @@
       individualSeqProc.AddSubOperator(validationEvaluator);
       individualSeqProc.AddSubOperator(evalCounter);
-      selectedProc.AddSubOperator(sorter);
+      seq.AddSubOperator(sorter);
 
       childCreater.OperatorGraph.AddOperator(seq);
@@ -456,5 +522,5 @@
 
     public IEditor CreateEditor() {
-      return new OffSpringSelectionGpEditor(this);
+      return new OffspringSelectionGpEditor(this);
     }
 
Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/StandardGP.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/StandardGP.cs	(revision 1200)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification/StandardGP.cs	(revision 1201)
@@ -136,5 +136,5 @@
       randomInjector.Name = "Random Injector";
       VariableInjector globalInjector = CreateGlobalInjector();
-      CombinedOperator initialization = CreateInialization();
+      CombinedOperator initialization = CreateInitialization();
       initialization.Name = "Initialization";
       FunctionLibraryInjector funLibInjector = new FunctionLibraryInjector();
@@ -247,5 +247,5 @@
     }
 
-    private CombinedOperator CreateInialization() {
+    private CombinedOperator CreateInitialization() {
       CombinedOperator init = new CombinedOperator();
       SequentialProcessor seq = new SequentialProcessor();
@@ -266,7 +266,12 @@
       Counter evalCounter = new Counter();
       evalCounter.GetVariableInfo("Value").ActualName = "EvaluatedSolutions";
+      Sorter sorter = new Sorter();
+      sorter.GetVariableInfo("Descending").ActualName = "Maximization";
+      sorter.GetVariableInfo("Value").ActualName = "Quality";
 
       seq.AddSubOperator(subScopesCreater);
       seq.AddSubOperator(subScopesProc);
+      seq.AddSubOperator(sorter);
+
       subScopesProc.AddSubOperator(individualSeq);
       individualSeq.AddSubOperator(treeCreater);
@@ -344,5 +349,5 @@
       SequentialProcessor bestSolutionProcessor = new SequentialProcessor();
       MeanAbsolutePercentageErrorEvaluator trainingMapeEvaluator = new MeanAbsolutePercentageErrorEvaluator();
-      trainingMapeEvaluator.Name = "ValidationMapeEvaluator";
+      trainingMapeEvaluator.Name = "TrainingMapeEvaluator";
       trainingMapeEvaluator.GetVariableInfo("MAPE").ActualName = "TrainingMAPE";
       trainingMapeEvaluator.GetVariableInfo("SamplesStart").ActualName = "TrainingSamplesStart";
Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.sln
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.sln	(revision 1200)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.sln	(revision 1201)
@@ -135,4 +135,6 @@
 		Debug|Any CPU = Debug|Any CPU
 		Debug|x86 = Debug|x86
+		GP Debug|Any CPU = GP Debug|Any CPU
+		GP Debug|x86 = GP Debug|x86
 		Release|Any CPU = Release|Any CPU
 		Release|x86 = Release|x86
@@ -149,4 +151,8 @@
 		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|x86.ActiveCfg = Debug|x86
 		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|x86.Build.0 = Debug|x86
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.GP Debug|x86.ActiveCfg = Debug|x86
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.GP Debug|x86.Build.0 = Debug|x86
 		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -164,4 +170,7 @@
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Debug|x86.ActiveCfg = Debug|x86
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Debug|x86.Build.0 = Debug|x86
+		{F43B59AB-2B8C-4570-BC1E-15592086517C}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F43B59AB-2B8C-4570-BC1E-15592086517C}.GP Debug|x86.ActiveCfg = Debug|x86
+		{F43B59AB-2B8C-4570-BC1E-15592086517C}.GP Debug|x86.Build.0 = Debug|x86
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -179,4 +188,7 @@
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Debug|x86.ActiveCfg = Debug|x86
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Debug|x86.Build.0 = Debug|x86
+		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.GP Debug|x86.ActiveCfg = Debug|x86
+		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.GP Debug|x86.Build.0 = Debug|x86
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -194,4 +206,7 @@
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Debug|x86.ActiveCfg = Debug|x86
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Debug|x86.Build.0 = Debug|x86
+		{47019A74-F7F7-482E-83AA-D3F4F777E879}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{47019A74-F7F7-482E-83AA-D3F4F777E879}.GP Debug|x86.ActiveCfg = Debug|x86
+		{47019A74-F7F7-482E-83AA-D3F4F777E879}.GP Debug|x86.Build.0 = Debug|x86
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -208,4 +223,7 @@
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Debug|x86.ActiveCfg = Debug|x86
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Debug|x86.Build.0 = Debug|x86
+		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.GP Debug|x86.ActiveCfg = Debug|x86
+		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.GP Debug|x86.Build.0 = Debug|x86
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -222,4 +240,7 @@
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Debug|x86.ActiveCfg = Debug|x86
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Debug|x86.Build.0 = Debug|x86
+		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.GP Debug|x86.ActiveCfg = Debug|x86
+		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.GP Debug|x86.Build.0 = Debug|x86
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -237,4 +258,7 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x86.ActiveCfg = Debug|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x86.Build.0 = Debug|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.GP Debug|x86.ActiveCfg = Debug|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.GP Debug|x86.Build.0 = Debug|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -251,4 +275,7 @@
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Debug|x86.ActiveCfg = Debug|x86
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Debug|x86.Build.0 = Debug|x86
+		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.GP Debug|x86.ActiveCfg = Debug|x86
+		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.GP Debug|x86.Build.0 = Debug|x86
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -265,4 +292,7 @@
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Debug|x86.ActiveCfg = Debug|x86
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Debug|x86.Build.0 = Debug|x86
+		{B4BE8E53-BA06-4237-9A01-24255F880201}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B4BE8E53-BA06-4237-9A01-24255F880201}.GP Debug|x86.ActiveCfg = Debug|x86
+		{B4BE8E53-BA06-4237-9A01-24255F880201}.GP Debug|x86.Build.0 = Debug|x86
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -279,4 +309,7 @@
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Debug|x86.ActiveCfg = Debug|x86
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Debug|x86.Build.0 = Debug|x86
+		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.GP Debug|x86.ActiveCfg = Debug|x86
+		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.GP Debug|x86.Build.0 = Debug|x86
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -293,4 +326,7 @@
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Debug|x86.ActiveCfg = Debug|x86
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Debug|x86.Build.0 = Debug|x86
+		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.GP Debug|x86.ActiveCfg = Debug|x86
+		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.GP Debug|x86.Build.0 = Debug|x86
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -307,4 +343,7 @@
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Debug|x86.ActiveCfg = Debug|x86
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Debug|x86.Build.0 = Debug|x86
+		{F5614C53-153C-4A37-A608-121E1C087F07}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F5614C53-153C-4A37-A608-121E1C087F07}.GP Debug|x86.ActiveCfg = Debug|x86
+		{F5614C53-153C-4A37-A608-121E1C087F07}.GP Debug|x86.Build.0 = Debug|x86
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -321,4 +360,7 @@
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Debug|x86.ActiveCfg = Debug|x86
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Debug|x86.Build.0 = Debug|x86
+		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.GP Debug|x86.ActiveCfg = Debug|x86
+		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.GP Debug|x86.Build.0 = Debug|x86
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -335,4 +377,7 @@
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Debug|x86.ActiveCfg = Debug|x86
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Debug|x86.Build.0 = Debug|x86
+		{205898D3-2717-4686-AF17-52409B7EC0C6}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{205898D3-2717-4686-AF17-52409B7EC0C6}.GP Debug|x86.ActiveCfg = Debug|x86
+		{205898D3-2717-4686-AF17-52409B7EC0C6}.GP Debug|x86.Build.0 = Debug|x86
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -349,4 +394,7 @@
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|x86.ActiveCfg = Debug|x86
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|x86.Build.0 = Debug|x86
+		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.GP Debug|x86.ActiveCfg = Debug|x86
+		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.GP Debug|x86.Build.0 = Debug|x86
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -363,4 +411,7 @@
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Debug|x86.ActiveCfg = Debug|x86
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Debug|x86.Build.0 = Debug|x86
+		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.GP Debug|x86.ActiveCfg = Debug|x86
+		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.GP Debug|x86.Build.0 = Debug|x86
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -377,4 +428,7 @@
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Debug|x86.ActiveCfg = Debug|x86
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Debug|x86.Build.0 = Debug|x86
+		{B462D3CC-8866-42F0-9832-AD0967613B72}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B462D3CC-8866-42F0-9832-AD0967613B72}.GP Debug|x86.ActiveCfg = Debug|x86
+		{B462D3CC-8866-42F0-9832-AD0967613B72}.GP Debug|x86.Build.0 = Debug|x86
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -391,4 +445,7 @@
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Debug|x86.ActiveCfg = Debug|x86
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Debug|x86.Build.0 = Debug|x86
+		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.GP Debug|x86.ActiveCfg = Debug|x86
+		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.GP Debug|x86.Build.0 = Debug|x86
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -405,4 +462,7 @@
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Debug|x86.ActiveCfg = Debug|x86
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Debug|x86.Build.0 = Debug|x86
+		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.GP Debug|x86.ActiveCfg = Debug|x86
+		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.GP Debug|x86.Build.0 = Debug|x86
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -419,4 +479,7 @@
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Debug|x86.ActiveCfg = Debug|x86
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Debug|x86.Build.0 = Debug|x86
+		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.GP Debug|x86.ActiveCfg = Debug|x86
+		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.GP Debug|x86.Build.0 = Debug|x86
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -433,4 +496,7 @@
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Debug|x86.ActiveCfg = Debug|x86
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Debug|x86.Build.0 = Debug|x86
+		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.GP Debug|x86.ActiveCfg = Debug|x86
+		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.GP Debug|x86.Build.0 = Debug|x86
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -448,4 +514,7 @@
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Debug|x86.ActiveCfg = Debug|x86
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Debug|x86.Build.0 = Debug|x86
+		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.GP Debug|x86.ActiveCfg = Debug|x86
+		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.GP Debug|x86.Build.0 = Debug|x86
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -462,4 +531,7 @@
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Debug|x86.ActiveCfg = Debug|x86
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Debug|x86.Build.0 = Debug|x86
+		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.GP Debug|x86.ActiveCfg = Debug|x86
+		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.GP Debug|x86.Build.0 = Debug|x86
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -476,4 +548,7 @@
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Debug|x86.ActiveCfg = Debug|x86
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Debug|x86.Build.0 = Debug|x86
+		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.GP Debug|x86.ActiveCfg = Debug|x86
+		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.GP Debug|x86.Build.0 = Debug|x86
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -490,4 +565,7 @@
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Debug|x86.ActiveCfg = Debug|x86
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Debug|x86.Build.0 = Debug|x86
+		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.GP Debug|x86.ActiveCfg = Debug|x86
+		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.GP Debug|x86.Build.0 = Debug|x86
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -504,4 +582,7 @@
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Debug|x86.ActiveCfg = Debug|x86
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Debug|x86.Build.0 = Debug|x86
+		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.GP Debug|x86.ActiveCfg = Debug|x86
+		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.GP Debug|x86.Build.0 = Debug|x86
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -518,4 +599,7 @@
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Debug|x86.ActiveCfg = Debug|x86
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Debug|x86.Build.0 = Debug|x86
+		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.GP Debug|x86.ActiveCfg = Debug|x86
+		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.GP Debug|x86.Build.0 = Debug|x86
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -532,4 +616,7 @@
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Debug|x86.ActiveCfg = Debug|x86
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Debug|x86.Build.0 = Debug|x86
+		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.GP Debug|x86.ActiveCfg = Debug|x86
+		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.GP Debug|x86.Build.0 = Debug|x86
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -546,4 +633,7 @@
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Debug|x86.ActiveCfg = Debug|x86
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Debug|x86.Build.0 = Debug|x86
+		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.GP Debug|x86.ActiveCfg = Debug|x86
+		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.GP Debug|x86.Build.0 = Debug|x86
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -560,4 +650,7 @@
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Debug|x86.ActiveCfg = Debug|x86
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Debug|x86.Build.0 = Debug|x86
+		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.GP Debug|x86.ActiveCfg = Debug|x86
+		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.GP Debug|x86.Build.0 = Debug|x86
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -574,4 +667,7 @@
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Debug|x86.ActiveCfg = Debug|x86
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Debug|x86.Build.0 = Debug|x86
+		{6960CBCD-E44B-49B0-BA86-671091C42C36}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6960CBCD-E44B-49B0-BA86-671091C42C36}.GP Debug|x86.ActiveCfg = Debug|x86
+		{6960CBCD-E44B-49B0-BA86-671091C42C36}.GP Debug|x86.Build.0 = Debug|x86
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -589,4 +685,8 @@
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Debug|x86.ActiveCfg = Debug|x86
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Debug|x86.Build.0 = Debug|x86
+		{4F9BB789-D561-436B-B226-2BF44B7D0804}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4F9BB789-D561-436B-B226-2BF44B7D0804}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4F9BB789-D561-436B-B226-2BF44B7D0804}.GP Debug|x86.ActiveCfg = Debug|x86
+		{4F9BB789-D561-436B-B226-2BF44B7D0804}.GP Debug|x86.Build.0 = Debug|x86
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -604,4 +704,8 @@
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Debug|x86.ActiveCfg = Debug|x86
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Debug|x86.Build.0 = Debug|x86
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.GP Debug|x86.ActiveCfg = Debug|x86
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.GP Debug|x86.Build.0 = Debug|x86
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -619,4 +723,8 @@
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Debug|x86.ActiveCfg = Debug|x86
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Debug|x86.Build.0 = Debug|x86
+		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.GP Debug|x86.ActiveCfg = Debug|x86
+		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.GP Debug|x86.Build.0 = Debug|x86
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -634,4 +742,8 @@
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Debug|x86.ActiveCfg = Debug|x86
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Debug|x86.Build.0 = Debug|x86
+		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.GP Debug|x86.ActiveCfg = Debug|x86
+		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.GP Debug|x86.Build.0 = Debug|x86
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -648,4 +760,7 @@
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Debug|x86.ActiveCfg = Debug|x86
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Debug|x86.Build.0 = Debug|x86
+		{39DEF061-8261-43DB-8B3B-C7555251FF77}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{39DEF061-8261-43DB-8B3B-C7555251FF77}.GP Debug|x86.ActiveCfg = Debug|x86
+		{39DEF061-8261-43DB-8B3B-C7555251FF77}.GP Debug|x86.Build.0 = Debug|x86
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -662,4 +777,7 @@
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Debug|x86.ActiveCfg = Debug|x86
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Debug|x86.Build.0 = Debug|x86
+		{F18FD554-19B9-460C-9A49-4AA8D7245727}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F18FD554-19B9-460C-9A49-4AA8D7245727}.GP Debug|x86.ActiveCfg = Debug|x86
+		{F18FD554-19B9-460C-9A49-4AA8D7245727}.GP Debug|x86.Build.0 = Debug|x86
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -677,4 +795,8 @@
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Debug|x86.ActiveCfg = Debug|x86
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Debug|x86.Build.0 = Debug|x86
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.GP Debug|x86.ActiveCfg = Debug|x86
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.GP Debug|x86.Build.0 = Debug|x86
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -691,4 +813,7 @@
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Debug|x86.ActiveCfg = Debug|x86
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Debug|x86.Build.0 = Debug|x86
+		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.GP Debug|x86.ActiveCfg = Debug|x86
+		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.GP Debug|x86.Build.0 = Debug|x86
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -705,4 +830,7 @@
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Debug|x86.ActiveCfg = Debug|x86
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Debug|x86.Build.0 = Debug|x86
+		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.GP Debug|x86.ActiveCfg = Debug|x86
+		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.GP Debug|x86.Build.0 = Debug|x86
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -719,4 +847,7 @@
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Debug|x86.ActiveCfg = Debug|x86
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Debug|x86.Build.0 = Debug|x86
+		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.GP Debug|x86.ActiveCfg = Debug|x86
+		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.GP Debug|x86.Build.0 = Debug|x86
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -733,4 +864,7 @@
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Debug|x86.ActiveCfg = Debug|x86
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Debug|x86.Build.0 = Debug|x86
+		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.GP Debug|x86.ActiveCfg = Debug|x86
+		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.GP Debug|x86.Build.0 = Debug|x86
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -748,4 +882,7 @@
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Debug|x86.ActiveCfg = Debug|x86
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Debug|x86.Build.0 = Debug|x86
+		{23117533-8A91-474E-BBF6-C39485D0810A}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{23117533-8A91-474E-BBF6-C39485D0810A}.GP Debug|x86.ActiveCfg = Debug|x86
+		{23117533-8A91-474E-BBF6-C39485D0810A}.GP Debug|x86.Build.0 = Debug|x86
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -763,4 +900,8 @@
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Debug|x86.ActiveCfg = Debug|x86
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Debug|x86.Build.0 = Debug|x86
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.GP Debug|x86.ActiveCfg = Debug|x86
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.GP Debug|x86.Build.0 = Debug|x86
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -777,4 +918,8 @@
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Debug|x86.ActiveCfg = Debug|x86
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Debug|x86.Build.0 = Debug|x86
+		{1F1CF3ED-374C-4288-995B-93F6B872F571}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1F1CF3ED-374C-4288-995B-93F6B872F571}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1F1CF3ED-374C-4288-995B-93F6B872F571}.GP Debug|x86.ActiveCfg = Debug|x86
+		{1F1CF3ED-374C-4288-995B-93F6B872F571}.GP Debug|x86.Build.0 = Debug|x86
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -791,4 +936,8 @@
 		{74223A32-C726-4978-BE78-37113A18373C}.Debug|x86.ActiveCfg = Debug|x86
 		{74223A32-C726-4978-BE78-37113A18373C}.Debug|x86.Build.0 = Debug|x86
+		{74223A32-C726-4978-BE78-37113A18373C}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{74223A32-C726-4978-BE78-37113A18373C}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{74223A32-C726-4978-BE78-37113A18373C}.GP Debug|x86.ActiveCfg = Debug|x86
+		{74223A32-C726-4978-BE78-37113A18373C}.GP Debug|x86.Build.0 = Debug|x86
 		{74223A32-C726-4978-BE78-37113A18373C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{74223A32-C726-4978-BE78-37113A18373C}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -805,4 +954,8 @@
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Debug|x86.ActiveCfg = Debug|x86
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Debug|x86.Build.0 = Debug|x86
+		{7C20D100-8BEB-433A-9499-F075E2CB9297}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{7C20D100-8BEB-433A-9499-F075E2CB9297}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{7C20D100-8BEB-433A-9499-F075E2CB9297}.GP Debug|x86.ActiveCfg = Debug|x86
+		{7C20D100-8BEB-433A-9499-F075E2CB9297}.GP Debug|x86.Build.0 = Debug|x86
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -819,4 +972,8 @@
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Debug|x86.ActiveCfg = Debug|x86
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Debug|x86.Build.0 = Debug|x86
+		{6084CFB5-733F-449D-9F92-2E40D13F0514}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6084CFB5-733F-449D-9F92-2E40D13F0514}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6084CFB5-733F-449D-9F92-2E40D13F0514}.GP Debug|x86.ActiveCfg = Debug|x86
+		{6084CFB5-733F-449D-9F92-2E40D13F0514}.GP Debug|x86.Build.0 = Debug|x86
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -833,4 +990,8 @@
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x86.ActiveCfg = Debug|x86
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x86.Build.0 = Debug|x86
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.GP Debug|x86.ActiveCfg = Debug|x86
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.GP Debug|x86.Build.0 = Debug|x86
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -847,4 +1008,8 @@
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x86.ActiveCfg = Debug|x86
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x86.Build.0 = Debug|x86
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.GP Debug|x86.ActiveCfg = Debug|x86
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.GP Debug|x86.Build.0 = Debug|x86
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -861,4 +1026,8 @@
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|x86.ActiveCfg = Debug|x86
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|x86.Build.0 = Debug|x86
+		{679E977A-117B-456E-8594-2A4DEADB658B}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{679E977A-117B-456E-8594-2A4DEADB658B}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{679E977A-117B-456E-8594-2A4DEADB658B}.GP Debug|x86.ActiveCfg = Debug|x86
+		{679E977A-117B-456E-8594-2A4DEADB658B}.GP Debug|x86.Build.0 = Debug|x86
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -875,4 +1044,8 @@
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Debug|x86.ActiveCfg = Debug|x86
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Debug|x86.Build.0 = Debug|x86
+		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.GP Debug|x86.ActiveCfg = Debug|x86
+		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.GP Debug|x86.Build.0 = Debug|x86
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -889,4 +1062,8 @@
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x86.ActiveCfg = Debug|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x86.Build.0 = Debug|x86
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.GP Debug|x86.ActiveCfg = Debug|x86
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.GP Debug|x86.Build.0 = Debug|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -903,4 +1080,8 @@
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x86.ActiveCfg = Debug|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x86.Build.0 = Debug|x86
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.GP Debug|x86.ActiveCfg = Debug|x86
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.GP Debug|x86.Build.0 = Debug|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -916,4 +1097,7 @@
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x86.ActiveCfg = Debug|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x86.Build.0 = Debug|x86
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.GP Debug|x86.ActiveCfg = Debug|x86
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.GP Debug|x86.Build.0 = Debug|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -930,4 +1114,8 @@
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Debug|x86.ActiveCfg = Debug|x86
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Debug|x86.Build.0 = Debug|x86
+		{A0821479-801F-43DF-B788-AE92FB410DA9}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A0821479-801F-43DF-B788-AE92FB410DA9}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A0821479-801F-43DF-B788-AE92FB410DA9}.GP Debug|x86.ActiveCfg = Debug|x86
+		{A0821479-801F-43DF-B788-AE92FB410DA9}.GP Debug|x86.Build.0 = Debug|x86
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -944,4 +1132,8 @@
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x86.ActiveCfg = Debug|x86
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x86.Build.0 = Debug|x86
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.GP Debug|x86.ActiveCfg = Debug|x86
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.GP Debug|x86.Build.0 = Debug|x86
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -958,4 +1150,8 @@
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x86.ActiveCfg = Debug|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x86.Build.0 = Debug|x86
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.GP Debug|x86.ActiveCfg = Debug|x86
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.GP Debug|x86.Build.0 = Debug|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -972,4 +1168,8 @@
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x86.ActiveCfg = Debug|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x86.Build.0 = Debug|x86
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.GP Debug|x86.ActiveCfg = Debug|x86
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.GP Debug|x86.Build.0 = Debug|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -986,4 +1186,8 @@
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x86.ActiveCfg = Debug|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x86.Build.0 = Debug|x86
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.GP Debug|x86.ActiveCfg = Debug|x86
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.GP Debug|x86.Build.0 = Debug|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Any CPU.Build.0 = Release|Any CPU
